
local entry = dofile("cg29.lua")

local function matches(t1, t2) -- shallow list match
	if #t1 ~= #t2 then return false end
	for i = 1, #t1 do
		if t1[i] ~= t2[i] then return false end
	end
	return true
end

local t,f = true,false
assert(matches(entry(30, {f,t,t,f,f,t,f}),
                         {t,t,f,t,t,t,t}))
assert(matches(entry(72, {f,f,f,t,t,f,f,t,f}),
                         {f,f,f,t,t,f,f,f,f}))
